.FeaturedBrands {
    display: grid;
    width: 100%;
    max-width: var(--wide-content-wrapper-width);
    margin-bottom: 80px;
    grid-template-columns: 1fr 1fr;
    margin: {
        right: auto;
        left: auto;
    }
    padding: {
        right: 96px;
        left: 96px;
    }

    @include mobile {
        margin-bottom: 24px;
        grid-template-columns: 1fr;

        padding: {
            right: 0;
            left: 0;
        }
    }

    @include tablet {
        margin-bottom: 24px;

        padding: {
            right: 0;
            left: 0;
        }
    }

    &_style_middle {
        max-width: var(--wide-content-wrapper-width);
        column-gap: 30px;
        row-gap: 30px;
        margin: {
            right: auto;
            left: auto;
        }
    }

    &_wide {
        padding: {
            right: 0;
            left: 0;
        }
    }

    @include mobile {
        &-button-below {
            .FeaturedBrand .FeaturedBrand-label {
                transform: translate(-50%, 115%);
            }

            .Image_ratio_square {
                padding-bottom: 82%;
            }

            .FeaturedBrand:not(.FeaturedBrand_style_three-in-row) .FeaturedBrand-img-wrap {
                padding-top: 82%;

                .Image-Image {
                    object-position: 50% 100%;
                }
            }

            .FeaturedBrand:not(.FeaturedBrand_style_three-in-row):not(.FeaturedBrand_hasAttachedProducts) {
                padding-bottom: 160px;
            }
        }
    }
}

.FeaturedBrand {
    &:not(.FeaturedBrand_style_three-in-row):not(.FeaturedBrand_hasAttachedProducts) {
        padding-bottom: 60px;

        @include mobile {
            padding-bottom: 80px;
        }
    }
    &:not(.FeaturedBrand_style_three-in-row) {
        //padding-bottom: 80px;
        .FeaturedBrand-img-wrap {
            padding-top: 111.8%;

            .lazyload-wrapper {
                height: 100%;
                width: 100%;
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                
                > img,
                > .Image {
                    min-width: 100%;
                    min-height: 100%;
                    
                    //width: auto;
    
                    &:first-of-type {
                        //max-height: 455px;
                    }
                }
            }

            img {
                object-fit: cover;
            }
        }
    }
    @include mobile {
        &.FeaturedBrand_hasAttachedProducts {
            padding-top: 60px;
            padding-bottom: 140px;
            .FeaturedBrand-label {
                top: 0;
                bottom: auto;
                transform: translate(-50%, -50%);
            }
        }
    }

    &.FeaturedBrand_style_three-in-row {
        padding-bottom: 100px;
        @include mobile {
            padding-bottom: 40px;
        }
        .FeaturedBrand-img-wrap {
            max-height: 404px;
            @include mobile {
                max-height: unset;
            }

            .lazyload-wrapper {
                height: 100%;
                max-height: 404px;
                width: calc(100% / 3);
                padding-bottom: calc(100% / 3);
            }

            .Image {
                //width: calc(100% / 3);
                max-height: 404px;
                //padding-bottom: calc(100% / 3);
                img {
                    object-fit: cover;
                }
            }

            @include mobile {
                flex-direction: column;

                .lazyload-wrapper {
                    width: 100%;
                    padding-bottom: 75%;
                }

                .Image {
                    width: 100%;
                    padding-bottom: 75%;
                }

                .Image:first-of-type {
                    margin-bottom: 80px;
                }

                .Image:last-of-type {
                    display: none;
                }
            }
        }
        .FeaturedBrand-label {
            top: 50%;
            bottom: auto;
            transform: translate(-50%, -50%);
        }
    }
    &-img-wrap {
        display: flex;
        overflow: hidden;
        width: 100%;
        position: relative;
        align-content: stretch;
        background-color: #f7f7f7;
    }
    .BrandLabel {
        bottom: 120px;
    }

    .FeaturedBrand-label {
        position: absolute;
        top: auto;
        bottom: 0;
        left: 50%;
        transform: translate(-50%, 50%);
    }

    &_decoration_left-offset {
        position: relative;
        .FeaturedBrand-inner-wrap {
            width: calc(105% + 30px);
            margin-top: 246px;
            margin-left: calc(-5% - 30px);
            @include mobile {
            }
        }
    }

    &_style_three-in-row {
        width: 100%;
    }
}

.FeaturedBrandAttachedProduct {
    display: block;
    width: 128px;
    height: 176px;
    &-img-wrap {
    }
    &-label,
    &-price {
        font-size: 12px;
        text-align: center;
        line-height: 16px;
    }
    &-label {
        display: inline-block;
        overflow: hidden;
        width: 100%;
        padding: 8px 8px 4px 8px;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    &-price {
    }
}

.FeaturedBrandAttachedProductsWrap,
.FeaturedBrandAttachedProducts {
    display: none;
    overflow: scroll;
    width: 100%;
    padding: 16px;
    position: absolute;
    top: calc(100% - 80px);
    @include mobile {
        display: flex;
    }
}
